# Kinetis Bootloader Host: elftosb::StringConstASTNode Class Reference

elftosb::StringConstASTNode Class Reference
Inheritance diagram for elftosb::StringConstASTNode:
[legend]
Collaboration diagram for elftosb::StringConstASTNode:
[legend]

## Public Member Functions

| StringConstASTNode (std::string *value)
| StringConstASTNode (const StringConstASTNode &other)
virtual ASTNode * | clone () const
| Returns an exact duplicate of this object.
virtual std::string | nodeName () const
| Returns the name of the object's class.
virtual void | printTree (int indent) const
std::string * | getString ()
Public Member Functions inherited from elftosb::ConstASTNode
| ConstASTNode (const ConstASTNode &other)
Public Member Functions inherited from elftosb::ASTNode
| ASTNode ()
| Default constructor.
| ASTNode (ASTNode *parent)
| Constructor taking a parent node.
| ASTNode (const ASTNode &other)
| Copy constructor.
virtual | ~ASTNode ()
| Destructor.
virtual ASTNode * | getParent () const
virtual void | setParent (ASTNode *newParent)
virtual void | printTree () const
virtual void | setLocation (token_loc_t &loc)
virtual void | setLocation (token_loc_t &first, token_loc_t &last)
virtual void | setLocation (ASTNode *loc)
virtual void | setLocation (ASTNode *first, ASTNode *last)
virtual token_loc_t & | getLocation ()
virtual const token_loc_t & | getLocation () const
virtual int | getFirstLine ()
virtual int | getLastLine ()

## Protected Attributes

smart_ptr< std::string > | m_value
Protected Attributes inherited from elftosb::ASTNode
ASTNode * | m_parent
| Pointer to parent node of this object. May be NULL.
token_loc_t | m_location
| Location of this node in the source file.

## Additional Inherited Members

Protected Member Functions inherited from elftosb::ASTNode
void | printIndent (int indent) const
| Prints indent number of spaces.

The documentation for this class was generated from the following files:

- ElftosbAST.h
- ElftosbAST.cpp